Subject: Living with dementia

From: dg <[email-masked]>
Date: Tue, 23 Jul 2013 19:22:35 -0700

I don't think anyone has done this before so I am.  Almost every day post
on my blog about what is happening to Kay as she adapts to living without
family and me for 72 years.  How I meet the new challenge is also
 recorded. Something any of us could face any   at any time and age. Hope I
don't regret this :-)  doyal gudgel
click on seniorobserver.blogspot.com

Stay informed!  Follow me on twitter. doyal gudgel
 Keep updated on "Assisted Living" seniorobserver.blogspot.com